# std::negate< _Tp > Struct Template Reference
[Arithmetic Classes]

One of the math functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::negate< _Tp >:

[legend]
Collaboration diagram for std::negate< _Tp >:

[legend]
List of all members.

## Public Types

typedef _Tp | argument_type
| `argument_type` is the type of the argument (no surprises here)
typedef _Tp | result_type
| `result_type` is the return type

## Detailed Description

### template<class _Tp>
struct std::negate< _Tp >

One of the math functors.

Definition at line 159 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp std::unary_function< _Tp, _Tp >::argument_type`[inherited]`

| `argument_type` is the type of the argument (no surprises here) Definition at line 103 of file stl_function.h.

typedef _Tp std::unary_function< _Tp, _Tp >::result_type`[inherited]`

| `result_type` is the return type Definition at line 104 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h